Package org.apache.sysds.runtime.iogen

## Class RawIndex

- java.lang.Object
- - org.apache.sysds.runtime.iogen.RawIndex

    public class RawIndex
    extends Object

### Constructor Summary

Constructors
`RawIndex()`
`RawIndex​(String raw)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cloneReservedPositions()`
`Pair<Integer,​Integer>` `findValue​(double value)`
`Pair<Integer,​Integer>` `findValue​(Object value, Types.ValueType valueType)`
`int` `getNextNumericPosition​(int curPosition)`
`String` `getRaw()`
`int` `getRawLength()`
`String` `getRemainedTexts​(int startPos, int endPos)`
`String` `getSubString​(int start, int end)`
`void` `restoreReservedPositions()`
`void` `setRaw​(String raw)`
`void` `setReservedPositions​(int pos, int len)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RawIndex

    public RawIndex​(String raw)

#### RawIndex

    public RawIndex()

### Method Detail

#### findValue

    public Pair<Integer,​Integer> findValue​(Object value,
                                                 Types.ValueType valueType)

#### findValue

    public Pair<Integer,​Integer> findValue​(double value)

#### getRemainedTexts

    public String getRemainedTexts​(int startPos,
                                   int endPos)

#### cloneReservedPositions

    public void cloneReservedPositions()

#### restoreReservedPositions

    public void restoreReservedPositions()

#### getSubString

    public String getSubString​(int start,
                               int end)

#### getRawLength

    public int getRawLength()

#### getRaw

    public String getRaw()

#### getNextNumericPosition

    public int getNextNumericPosition​(int curPosition)

#### setRaw

    public void setRaw​(String raw)

#### setReservedPositions

    public void setReservedPositions​(int pos,
                                     int len)